GetFEM is an open source library based on collaborative development.
It aims to offer the most flexible framework for solving potentially
coupled systems of linear and nonlinear partial differential equations
with the finite element method. GetFEM is interfaced with some script
languages (Python, Octave, Scilab and Matlab) so that almost all of
the functionalities can be used just writing scripts.

If you have matlab installed in your machine, you can also add support
to it by adding '--enable-matlab' to ./configure command

Take a look at http://getfem.org/install/install_linux.html if you
build GetFEM with support to octave, scilab or matlab in order to make
those tools work properly.

Optional dependencies are (if you add '--enable-FEATURE', e.g.: 
--enable-octave, to ./configure command:

- octave
- scilab
- qhull
- mumps
- metis
